API reference
Get a counterparty
GET
/ api/ v1/ counterparties/ {id}One counterparty, with up to 20 recent compliance screenings, newest first. An id this workspace does not hold, including another workspace's, answers 404.
Send a workspace API key as Authorization: Bearer ….
Parameters
idstringrequiredin: pathThe counterparty's id.
Try it
The key is kept in memory only, for this page.
Enter id to send the request.
Code samples
cURL
curl "https://www.vestiarion.xyz/api/v1/counterparties/<id>" \
-H "Authorization: Bearer $VESTIARION_API_KEY"Response
Example200 · application/json
{
"data": {
"id": "dc5e5751-3287-46c9-8bd1-83a42ab02699",
"name": "Anthropic API Services",
"role": "vendor",
"address": "0x90a5821e8a59b711777c49d11a283c9c76cd811e",
"chain": "ARC-TESTNET",
"jurisdiction": null,
"riskLevel": "clear",
"riskNotes": "No match against watchlist",
"baselinePaymentLimit": 5,
"paymentLimit": 5,
"lastScreenedAt": "2026-09-24T18:32:57.327+00:00",
"performanceScore": 0.667,
"performanceInputs": {
"heldOrFlagged": 0,
"heldByOurPolicy": 1,
"riskTierChanges": 0,
"duplicateSubmissions": 0,
"informationRequested": 0,
"paidWithoutIntervention": 1
},
"createdAt": "2026-09-24T11:54:57.677284+00:00",
"screeningHistory": [
{
"id": "d49b558b-199f-46d5-a43e-ae2af3ad9c49",
"riskLevel": "clear",
"source": "simulated-sanctions-list",
"notes": "No match against watchlist",
"rawScore": null,
"matchedEntityId": null,
"screeningMode": "simulate",
"status": "complete",
"createdAt": "2026-09-24T18:32:58.403732+00:00"
}
]
}
}dataobjectA counterparty, with its recent screening history.
15 fields in data
idstringnamestringrolestringOne of
vendorclientcontractoraddressstring · nullablechainstring · nullablejurisdictionstring · nullableriskLevelstringOne of
unscreenedclearmediumhighriskNotesstring · nullablebaselinePaymentLimitnumber · nullableThe business's baseline payment limit for this counterparty.
paymentLimitnumber · nullableThe current payment limit, derived from the risk tier.
lastScreenedAtstring · nullableperformanceScorenumber · nullableNo history is different from a zero score and remains null.
performanceInputsobject · nullablecreatedAtstringscreeningHistoryarray of objectUp to 20 recent screenings, newest first.
9 fields in screeningHistory
idstringriskLevelstringsourcestringnotesstring · nullablerawScorenumber · nullablematchedEntityIdstring · nullablescreeningModestringOne of
livesimulatestatusstringOne of
completefailedcreatedAtstring
Errors
| Status | Code | When |
|---|---|---|
| 401 | unauthorized | No key, or a malformed, unknown or revoked one: "A valid API key is required." |
| 403 | forbidden | The key's scopes do not cover this route: "This key cannot do that." Or, on a write, the person who created the key can no longer add records: "This key's issuer can no longer add records in this workspace." |
| 404 | not_found | The requested resource does not exist in the key's workspace. |
| 500 | internal | An unexpected server error. Implementation details are not exposed. |